Subject: Re: bug#69078: [PATCH] esh-mode: Allow eshell-kill-output to actually kill the output.
From: Jim Porter <[email-masked]>
To: Tomas Volf <[email-masked]>, [email-masked]
Date: Thu, 15 Feb 2024 18:27:34 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2/12/2024 8:22 AM, Tomas Volf wrote:
> Before this commit, the function eshell-kill-output, despite the name,
> did not allow to kill the output, it always just deleted it.  This
> commit fixes that, allowing to do the kill with C-u.

Thanks for noticing this. This makes sense to me, so I've merged it to 
the master branch as 572d58b5e8d.

> The function name is misleading (and in comint is is called
> coming-delete-output), but changing it could break code, so I do not think it is
> worth it.  Adding the argument should be enough.

I also fixed this, but added an obsolete alias for the old name. That 
way, it won't break anything, and we can be a little more consistent 
with comint.

Closing this bug now.